package com.jsowell.pile.dto;

import lombok.Data;
import lombok.EqualsAndHashCode;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

@EqualsAndHashCode(callSuper = true)
@Data
public class WeixinPayDTO extends BaseMemberDTO{
	private String openId;

	private String code;

	private String amount;

	private String description; // 微信商品详情

	/**
	 * 附加参数
	 * json格式，支付回调取出来使用
	 */
	private String attach;

	@Override
	public String toString() {
		return new ToStringBuilder(this, ToStringStyle.JSON_STYLE)
				.append("openId", openId)
				.append("code", code)
				.toString();
	}
}
